from crontab import CronTab
from syncloud.ci.config import get_config

config = get_config()


def remove_cron():
    cron = CronTab()
    for job in cron.find_command(config.ci_cmd()):
        cron.remove(job)
    cron.write()


def add_cron():
    cron = CronTab()
    ci_job = cron.new(command=config.crontab_cmd())
    ci_job.setall('*/1 * * * *')
    cron.write()
